UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
19,810 Views
Registered: ‎11-12-2013

ISE Webpack, Cable Drivers not installing for Debian Wheezy

Jump to solution

Trying to install ISE Webpack with cable drivers yield the following error during installation:

 

Driver installation failed. Please check the /.xinstall/install.log file for more information on the cause of the installation failure.

 

Since drivers are not installed, attempting to launch iMPACT later on gives:

 

WARNING:iMPACT - Module windrvr6 is not loaded. Please reinstall the cable drivers. See Answer Record 22648.

WARNING:iMPACT - Module windrvr6 is not loaded. Please reinstall the cable drivers. See Answer Record 22648.
WARNING:iMPACT - Module windrvr6 is not loaded. Please reinstall the cable drivers. See Answer Record 22648.
WARNING:iMPACT - Module windrvr6 is not loaded. Please reinstall the cable drivers. See Answer Record 22648.
WARNING:iMPACT - Module windrvr6 is not loaded. Please reinstall the cable drivers. See Answer Record 22648.
WARNING:iMPACT:923 - Can not find cable, check cable setup !

 

 

 

 

The entire install.log can be found here:

--Install log = /tmp/xilinx_ise_webpack/14.7/ISE_DS/.xinstall/install.log
--Installing cable drivers.
--Driver versions in this package: windrvr=1301, xpc4drvr=1041
--Script name = /tmp/xilinx_ise_webpack/14.7/ISE_DS/common/bin/lin64/install_script/install_drivers/install_drivers
--HostName = invidia
--Current working dir = /home/andreas/documents/diku/master_thesis/Xilinx_ISE_DS_14.7_1015_1-1
--Script location = /home/andreas/documents/diku/master_thesis/Xilinx_ISE_DS_14.7_1015_1-1
--Script argument=/tmp/xilinx_ise_webpack/14.7/ISE_DS/ISE.
Digilent Cable Drivers Installer

Checking for prerequisite: libusb-1.0
libusb-1.0.so.0 is present

Installing component: Digilent Adept Runtime
Adept Runtime Installer
64-bit operating system detected
Installing runtime libraries.....
    Checking to see if libdabs.so is already installed....
    Existing installation of libdabs.so found. Checking to see if this version should be installed.
    Version 2.11.1 is currently installed. Version libdabs.so.2.11.1 will not be installed.
    Checking to see if libdaci.so is already installed....
    Existing installation of libdaci.so found. Checking to see if this version should be installed.
    Version 2.7.2 is currently installed. Version libdaci.so.2.7.2 will not be installed.
    Checking to see if libdaio.so is already installed....
    Existing installation of libdaio.so found. Checking to see if this version should be installed.
    Version 2.7.2 is currently installed. Version libdaio.so.2.7.2 will not be installed.
    Checking to see if libdemc.so is already installed....
    Existing installation of libdemc.so found. Checking to see if this version should be installed.
    Version 2.7.2 is currently installed. Version libdemc.so.2.7.2 will not be installed.
    Checking to see if libdepp.so is already installed....
    Existing installation of libdepp.so found. Checking to see if this version should be installed.
    Version 2.7.2 is currently installed. Version libdepp.so.2.7.2 will not be installed.
    Checking to see if libdftd2xx.so is already installed....
    Existing installation of libdftd2xx.so found. Checking to see if this version should be installed.
    Version 1.0.1 is currently installed. Version libdftd2xx.so.1.0.1 will not be installed.
    Checking to see if libdgio.so is already installed....
    Existing installation of libdgio.so found. Checking to see if this version should be installed.
    Version 2.7.2 is currently installed. Version libdgio.so.2.7.2 will not be installed.
    Checking to see if libdjtg.so is already installed....
    Existing installation of libdjtg.so found. Checking to see if this version should be installed.
    Version 2.10.1 is currently installed. Version libdjtg.so.2.10.1 will not be installed.
    Checking to see if libdmgr.so is already installed....
    Existing installation of libdmgr.so found. Checking to see if this version should be installed.
    Version 2.7.2 is currently installed. Version libdmgr.so.2.7.2 will not be installed.
    Checking to see if libdmgt.so is already installed....
    Existing installation of libdmgt.so found. Checking to see if this version should be installed.
    Version 2.7.2 is currently installed. Version libdmgt.so.2.7.2 will not be installed.
    Checking to see if libdpcomm.so is already installed....
    Existing installation of libdpcomm.so found. Checking to see if this version should be installed.
    Version 2.10.1 is currently installed. Version libdpcomm.so.2.10.1 will not be installed.
    Checking to see if libdpcutil.so is already installed....
    Existing installation of libdpcutil.so found. Checking to see if this version should be installed.
    Version 2.7.2 is currently installed. Version libdpcutil.so.2.7.2 will not be installed.
    Checking to see if libdpio.so is already installed....
    Existing installation of libdpio.so found. Checking to see if this version should be installed.
    Version 2.7.2 is currently installed. Version libdpio.so.2.7.2 will not be installed.
    Checking to see if libdpti.so is already installed....
    Existing installation of libdpti.so found. Checking to see if this version should be installed.
    Version 2.8.2 is currently installed. Version libdpti.so.2.8.2 will not be installed.
    Checking to see if libdspi.so is already installed....
    Existing installation of libdspi.so found. Checking to see if this version should be installed.
    Version 2.8.2 is currently installed. Version libdspi.so.2.8.2 will not be installed.
    Checking to see if libdstm.so is already installed....
    Existing installation of libdstm.so found. Checking to see if this version should be installed.
    Version 2.7.2 is currently installed. Version libdstm.so.2.7.2 will not be installed.
    Checking to see if libdtwi.so is already installed....
    Existing installation of libdtwi.so found. Checking to see if this version should be installed.
    Version 2.7.2 is currently installed. Version libdtwi.so.2.7.2 will not be installed.
    Checking to see if libjtsc.so is already installed....
    Existing installation of libjtsc.so found. Checking to see if this version should be installed.
    Version 2.7.2 is currently installed. Version libjtsc.so.2.7.2 will not be installed.
Successfully installed runtime libraries.
Installing system binaries.....
    installed "/usr/local/sbin/dftdrvdtch"
Successfully installed system binaries in "/usr/local/sbin".
Installing firmware images.....
Successfully installed firmware images in "/usr/local/share/digilent/data/firmware".
Installing JTSC device list.....
Successfully installed JTSC device list "/usr/local/share/digilent/data/jtscdvclist.txt".
Installing CoolRunner support files.....
Successfully installed CoolRunner support files in "/usr/local/share/digilent/data/xpla3".
Installing CoolRunner 2 support files.....
Successfully installed CoolRunner 2 support files in "/usr/local/share/digilent/data/xbr".
Installing Adept Runtime configuration.....
Successfully installed Adept Runtime configuration "/etc/digilent-adept.conf".
Installing USB UDEV rules.....
Successfully installed USB UDEV rules "/etc/udev/rules.d/52-digilent-usb.rules".
Successfully reloaded UDEV rules.
Successfully updated dynamic loader cache.
Successfully installed Adept Runtime.
Successfully installed component: Digilent Adept Runtime

Installing component: FTDI Drivers (libftd2xx)
FTDI Driver Installer
64-bit operating system detected
    Checking to see if libftd2xx.so is already installed....
    Existing installation of libftd2xx.so found. Checking to see if this version should be installed.
    Version 1.0.4 is currently installed. Version libftd2xx.so.1.0.4 will not be installed.
Successfully updated dynamic loader cache
Successfully installed FTDI Driver
Successfully installed component: FTDI Drivers (libftd2xx)

Installing component: libCseDigilent
Installer for Plugins for Xilinx Tools
Plugins will be installed in the following directory: "/tmp/xilinx_ise_webpack/14.7/ISE_DS/ISE"
Found plugin "libCseDigilent" version "14.1" by "Digilent".
    Successfully installed plugin in "/tmp/xilinx_ise_webpack/14.7/ISE_DS/ISE/lib/lin64/plugins/Digilent/libCseDigilent".
Successfully installed 1 plugin(s) for Xilinx Tools.
Successfully installed component: libCseDigilent

Successfully installed Digilent Cable Drivers
--Kernel version = 3.2.0-4-amd64.
--Arch = x86_64.
--Installer version = 1100
--Unsetting ARCH environment variable.
--File /lib/modules/misc/install_windrvr6 does not exist.
--Installing USB drivers------------------------------------------
--File /etc/hotplug/usb/xusbdfwu.fw/xusbdfwu.hex exists.
--File /etc/hotplug/usb/xusbdfwu.fw/xusbdfwu.hex version = 1030
--File xusbdfwu.hex exists.
--File xusbdfwu.hex version = 1030
--File xusbdfwu.hex is already updated.
--File /etc/hotplug/usb/xusbdfwu.fw/xusb_xlp.hex exists.
--File /etc/hotplug/usb/xusbdfwu.fw/xusb_xlp.hex version = 1028
--File xusb_xlp.hex exists.
--File xusb_xlp.hex version = 1028
--File xusb_xlp.hex is already updated.
--File /etc/hotplug/usb/xusbdfwu.fw/xusb_emb.hex exists.
--File /etc/hotplug/usb/xusbdfwu.fw/xusb_emb.hex version = 1028
--File xusb_emb.hex exists.
--File xusb_emb.hex version = 1028
--File xusb_emb.hex is already updated.
--File /etc/hotplug/usb/xusbdfwu.fw/xusb_xpr.hex exists.
--File /etc/hotplug/usb/xusbdfwu.fw/xusb_xpr.hex version = 2004
--File xusb_xpr.hex exists.
--File xusb_xpr.hex version = 2004
--File xusb_xpr.hex is already updated.
--File /etc/hotplug/usb/xusbdfwu.fw/xusb_xup.hex exists.
--File /etc/hotplug/usb/xusbdfwu.fw/xusb_xup.hex version = 1030
--File xusb_xup.hex exists.
--File xusb_xup.hex version = 1030
--File xusb_xup.hex is already updated.
--File /etc/hotplug/usb/xusbdfwu.fw/xusb_xp2.hex exists.
--File /etc/hotplug/usb/xusbdfwu.fw/xusb_xp2.hex version = 2300
--File xusb_xp2.hex exists.
--File xusb_xp2.hex version = 2300
--File xusb_xp2.hex is already updated.
--File /etc/hotplug/usb/xusbdfwu.fw/xusb_xse.hex exists.
--File /etc/hotplug/usb/xusbdfwu.fw/xusb_xse.hex version = 2006
--File xusb_xse.hex exists.
--File xusb_xse.hex version = 2006
--File xusb_xse.hex is already updated.
--Product ID 0007 is already in the usermap.
--Product ID 0009 is already in the usermap.
--Product ID 000d is already in the usermap.
--Product ID 000f is already in the usermap.
--Product ID 0013 is already in the usermap.
--Product ID 0015 is already in the usermap.
--Product ID 0008 is already in the usermap.
--Installing windrvr6---------------------------------------------
--Checking version.
--File /lib/modules/3.2.0-4-amd64/kernel/drivers/misc/windrvr6.ko does not exist.
--File LINUX.3.2.0-4-amd64.x86_64/windrvr6.ko does not exist.
--Setting source version to 1301.
--File LINUX.3.2.0-4-amd64.x86_64/windrvr6.ko is newer than the destination file.
USE_KBUILD = no
checking for cpu architecture... x86_64
checking for WinDriver root directory... /tmp/xilinx_ise_webpack/14.7/ISE_DS/common/bin/lin64/install_script/install_drivers/linux_drivers/windriver64
checking for linux kernel source... found at /lib/modules/3.2.0-4-amd64/build
checking for lib directory... ln -sf $(ROOT_DIR)/lib/$(SHARED_OBJECT)_32.so /usr/lib/$(SHARED_OBJECT).so; ln -sf $(ROOT_DIR)/lib/$(SHARED_OBJECT).so /usr/lib64/$(SHARED_OBJECT).so
checking which directories to include... -I/lib/modules/3.2.0-4-amd64/source/include
checking linux kernel version... not found
make -f makefile.wd clean
make[1]: Entering directory `/tmp/xilinx_ise_webpack/14.7/ISE_DS/common/bin/lin64/install_script/install_drivers/linux_drivers/windriver64/windrvr'
make[1]: Leaving directory `/tmp/xilinx_ise_webpack/14.7/ISE_DS/common/bin/lin64/install_script/install_drivers/linux_drivers/windriver64/windrvr'
make -f makefile.wd
make[1]: Entering directory `/tmp/xilinx_ise_webpack/14.7/ISE_DS/common/bin/lin64/install_script/install_drivers/linux_drivers/windriver64/windrvr'
make[1]: Leaving directory `/tmp/xilinx_ise_webpack/14.7/ISE_DS/common/bin/lin64/install_script/install_drivers/linux_drivers/windriver64/windrvr'
make -f makefile.wd
make[1]: Entering directory `/tmp/xilinx_ise_webpack/14.7/ISE_DS/common/bin/lin64/install_script/install_drivers/linux_drivers/windriver64/windrvr'
make[1]: Leaving directory `/tmp/xilinx_ise_webpack/14.7/ISE_DS/common/bin/lin64/install_script/install_drivers/linux_drivers/windriver64/windrvr'
--make windrvr install rc= 2
--install_windrvr6 rc = 2
--Module windrvr6 is not running.
--Module xpc4drvr is not running.
--Note: By default, the file permission of /dev/windrvr6 is enabled for the root user only
  and must be changed to allow access to other users.

--real rc=2

--Driver installation failed.

--Digilent Return code = 0
--Xilinx Return code = 1
--Return code = 1
INFO ::Mon Dec 02 10:59:01 TZ 2013:: Console message preference has been changed to INFO 
INFO ::Mon Dec 02 10:59:01 TZ 2013:: Xilinx Installer/Updater launched.
INFO ::Mon Dec 02 10:59:05 TZ 2013:: Proxy choice:  IE
INFO ::Mon Dec 02 10:59:05 TZ 2013:: install version: 14.7
INFO ::Mon Dec 02 10:59:05 TZ 2013:: dat file URL: www.xilinx.com/direct/swhelp/14_wiclient.dat
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Install Location: /tmp/xilinx_ise_webpack/14.7/ISE_DS
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Option: Acquire or Manage a License Key
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Edition : ISE WebPACK
INFO ::Mon Dec 02 11:03:14 TZ 2013:: ISE DS Common
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Install Location: common
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Module: ISE DS Common
INFO ::Mon Dec 02 11:03:14 TZ 2013:: EDK
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Install Location: EDK
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Module: EDK
INFO ::Mon Dec 02 11:03:14 TZ 2013:: PlanAhead Analysis Tool
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Install Location: PlanAhead
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Module: PlanAhead Files
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Option: setupEnv.sh
INFO ::Mon Dec 02 11:03:14 TZ 2013:: ISE
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Install Location: ISE
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Module: Design Environment Tools
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Module: WebPACK Devices
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Option: Install Linux System Generator Info XML
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Option: Ensure Linux System Generator Symlinks
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Option: Enable WebTalk to send software, IP and device usage statistics to Xilinx (Always enabled for WebPACK license)
INFO ::Mon Dec 02 11:03:14 TZ 2013:: Option: Install Cable Drivers
INFO ::Mon Dec 02 11:08:59 TZ 2013:: fileset.txt written.
INFO ::Mon Dec 02 11:08:59 TZ 2013:: Migrating registry and creating file association
WARN ::Mon Dec 02 11:08:59 TZ 2013:: Unable to copy "/home/andreas/documents/diku/master_thesis/Xilinx_ISE_DS_14.7_1015_1-1/common/idata/.pref.bin" to "/tmp/xilinx_ise_webpack/14.7/ISE_DS/common/.xinstall/idata/.pref.bin" source does not exist.
INFO ::Mon Dec 02 11:09:00 TZ 2013:: Post-GUI updates completed.
INFO ::Mon Dec 02 11:11:41 TZ 2013:: fileset.txt written.
INFO ::Mon Dec 02 11:11:41 TZ 2013:: Migrating registry and creating file association
INFO ::Mon Dec 02 11:11:42 TZ 2013:: Post-GUI updates completed.
INFO ::Mon Dec 02 11:13:23 TZ 2013:: fileset.txt written.
INFO ::Mon Dec 02 11:13:23 TZ 2013:: Migrating registry and creating file association
INFO ::Mon Dec 02 11:13:24 TZ 2013:: Post-GUI updates completed.
INFO ::Mon Dec 02 11:19:00 TZ 2013:: fileset.txt written.
INFO ::Mon Dec 02 11:19:00 TZ 2013:: Migrating registry and creating file association
INFO ::Mon Dec 02 11:19:01 TZ 2013:: Post-GUI updates completed.
INFO ::Mon Dec 02 11:19:07 TZ 2013:: Execute: setupEnv.sh
INFO ::Mon Dec 02 11:19:07 TZ 2013:: Execute: Install Linux System Generator Info XML
INFO ::Mon Dec 02 11:19:07 TZ 2013:: Execute: /tmp/xilinx_ise_webpack/14.7/ISE_DS/ISE/sysgen/util/ensure_symlinks.sh /tmp/xilinx_ise_webpack/14.7/ISE_DS/ISE/sysgen lin64
INFO ::Mon Dec 02 11:19:07 TZ 2013:: Execute: /tmp/xilinx_ise_webpack/14.7/ISE_DS/PlanAhead/data/webtalk/webtalk_install.sh on
INFO ::Mon Dec 02 11:19:07 TZ 2013:: Execute: /bin/sh -c "/tmp/xilinx_ise_webpack/14.7/ISE_DS/common/bin/lin64/install_script/install_drivers/install_drivers >>/tmp/xilinx_ise_webpack/14.7/ISE_DS/.xinstall/install.log /tmp/xilinx_ise_webpack/14.7/ISE_DS/ISE"
INFO ::Mon Dec 02 11:19:14 TZ 2013:: Driver installation failed. Please check the /.xinstall/install.log file for more information on the cause of the installation failure.
INFO ::Mon Dec 02 11:19:36 TZ 2013:: Execute: /tmp/xilinx_ise_webpack/14.7/ISE_DS/common/bin/lin64/xlcm
INFO ::Mon Dec 02 11:20:14 TZ 2013:: Xilinx Installer/Updater exited with return status "0".
INFO ::Mon Dec 02 11:20:14 TZ 2013:: ################################################################

What are the steps required to fix the drivers on Debian Wheezy?

 

Thanks in advance

Andreas Frisch

0 Kudos
1 Solution

Accepted Solutions
Moderator
Moderator
32,558 Views
Registered: ‎06-05-2013

Re: ISE Webpack, Cable Drivers not installing for Debian Wheezy

Jump to solution

Please check the following release notes.
http://www.xilinx.com/support/documentation/sw_manuals/xilinx14_7/irn.pdf
It is not the supported OS.

Thanks.

-------------------------------------------------------------------------
Don’t forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------
0 Kudos
7 Replies
Moderator
Moderator
32,559 Views
Registered: ‎06-05-2013

Re: ISE Webpack, Cable Drivers not installing for Debian Wheezy

Jump to solution

Please check the following release notes.
http://www.xilinx.com/support/documentation/sw_manuals/xilinx14_7/irn.pdf
It is not the supported OS.

Thanks.

-------------------------------------------------------------------------
Don’t forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------
0 Kudos
Highlighted
19,784 Views
Registered: ‎11-12-2013

Re: ISE Webpack, Cable Drivers not installing for Debian Wheezy

Jump to solution

Thank you.

 

We did not think to check the OS requirements as the rest of the tools worked perfectly and the error message did not indicate OS incompatability.

 

We will continue work from a windows machine instead.

 

Best regards

Andreas Frisch

0 Kudos
19,702 Views
Registered: ‎12-18-2013

Re: ISE Webpack, Cable Drivers not installing for Debian Wheezy

Jump to solution

I'm a bit surprised that the only supported Linux distros are commercial (costing money) distros!
What's the point in providing Linux support for your tools then. The overwhelming majority of Linux users use free distros like Mint, Ubuntu, Debian, Fedora etc.

I had exactly the same problem and now I'm forced  to BUY a Linux distro in order to build PetaLinux?

 

Anyway, a) are there any plans to support these tools on the more popular (free) distros? and b) Does anyone know if we can use CentOS 6, since that's supposed to be a community (free) clone of the supported (but not free) RHEL 6 distro?

 

Anyone know of an 'unsuported' Linux distro that 'works' anyway (especially for the cable drivers)?

It LOOKS as if that one cable driver install issue is the only thing preventing us from using a boat load of other distros. Can't this be fixed?

 

19,672 Views
Registered: ‎12-23-2013

Re: ISE Webpack, Cable Drivers not installing for Debian Wheezy

Jump to solution

Do not try to compile the driver files coming with ISE installation packet. Instead, I suggest the following web site. It works for me on Ubuntu 13.10. Good luck!

 

http://www.george-smart.co.uk/wiki/Xilinx_JTAG_Linux

 

Visitor ustaudinger
Visitor
19,661 Views
Registered: ‎04-01-2012

Re: ISE Webpack, Cable Drivers not installing for Debian Wheezy

Jump to solution
0 Kudos
Visitor methspringer
Visitor
14,896 Views
Registered: ‎02-24-2015

Re: ISE Webpack, Cable Drivers not installing for Debian Wheezy

Jump to solution

This works for Vivado 2014.4:

First install Vivado. I actually installed it on CentOS 6, then just moved /opt to the new install of Debian Wheezy.

 

The drivers are installed:
cd /opt/Xilinx/SDK/2014.4/data/xicom/cable_drivers/lin64/install_script/install_drivers
sudo ./install_drivers
cd /linux_drivers/pcusb
sudo ./setup_pcusb 1
sudo /init/udev reload

 

Then it just worked for me. Hope this helps someone!

0 Kudos
Moderator
Moderator
14,894 Views
Registered: ‎01-16-2013

Re: ISE Webpack, Cable Drivers not installing for Debian Wheezy

Jump to solution

Hello @methspringer,

 

Thanks for sharing the information.

 

--Syed

---------------------------------------------------------------------------------------------
Kindly note- Please mark the Answer as "Accept as solution" if information provided is helpful.
Give Kudos to a post which you think is helpful and reply oriented.

Did you check our new quick reference timing closure guide (UG1292)?
---------------------------------------------------------------------------------------------
0 Kudos